# @TODO add tests with docker-compose
test:
	test -f docker/app/Dockerfile
	test -f docker-compose.yml

compose-bash:
	docker-compose exec app bash

compose-up:
	docker-compose up -d

compose-build:
	docker-compose build --build-arg user=$(shell whoami) --build-arg uid=$(shell id -u)

compose-down:
	docker-compose down || true

compose-stop:
	docker-compose stop || true

compose-restart:
	docker-compose restart

composer:
	docker-compose exec app composer install

init:
	docker-compose exec app composer install
	docker-compose exec app cp .env.example .env
	docker-compose exec app php artisan key:generate
